#ifndef _GPS_DEKODUJ_H_
#define _GPS_DEKODUJ_H_

#include "stdint.h"

void dekoduj_zpravu_GPS (uint8_t* NMEA_retezec, uint8_t NMEA_delka);


typedef struct { 
uint8_t UTC_time[7];
uint8_t Status_GPS;
uint8_t Latitude[13]; // o jeden znak delsi, nez by bylo treba, ale na posledni misto se kopiruje znak konce stringu 0
uint8_t Longitude[14]; 
uint8_t Altitude[10]; 
//uint8_t Datum[6];
} NMEA_GPGGA;

typedef struct { 
uint8_t UTC_time[9];
uint8_t Status_GPS[2];
uint8_t Latitude[13]; // o jeden znak delsi, nez by bylo treba, ale na posledni misto se kopiruje znak konce stringu 0
uint8_t Longitude[14]; 
uint8_t Datum[9];
} NMEA_GPRMC;
#endif /* _GPS_DEKODUJ_H_ */
